Get invoice history
GET
/v1/billing/invoices
const url = 'https://api.hookbridge.io/v1/billing/invoices?limit=12';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.hookbridge.io/v1/billing/invoices?limit=12' \ --header 'Authorization: Bearer <token>'Retrieve Stripe invoice history for the authenticated tenant. Free/no-billing tenants return an empty list.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
Number of invoices to return
starting_after
string
Stripe pagination cursor (invoice id from a previous response)
Responses
Section titled “Responses”Invoice history retrieved successfully
Media typeapplication/json
object
data
Array<object>
object
id
string
status
string
amount_due
integer
amount_paid
integer
currency
string
period_start
string format: date-time
period_end
string format: date-time
created
string format: date-time
invoice_pdf
string format: uri
hosted_invoice_url
string format: uri
lines
Array<object>
object
description
string
amount
integer
quantity
integer
meta
object
request_id
Unique identifier for this request (useful for support)
string
has_more
boolean
Example
{ "data": [ { "id": "in_1abc...", "status": "paid", "amount_due": 1000, "amount_paid": 1000, "currency": "usd", "period_start": "2026-02-05T00:00:00Z", "period_end": "2026-03-05T00:00:00Z", "created": "2026-03-05T06:00:00Z", "invoice_pdf": "https://pay.stripe.com/invoice/...", "hosted_invoice_url": "https://invoice.stripe.com/...", "lines": [ { "description": "Starter Plan (Monthly)", "amount": 1000, "quantity": 1 } ] } ], "meta": { "request_id": "req_xyz123", "has_more": false }}Invalid request
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.